import api from '@/api/index.js'
import nv from "@/uni_modules/pyh-nv/components/pyh-nv/pyh-nv.vue";
import navBar from '@/components/navBar/navBar.vue'
import bgImg from '@/components/bgImg/bgImg.vue'
import water from '@/components/water/water.vue'

export default {
	install(app) {
		//挂载全局对象
		app.config.globalProperties.$api = api
		//注册全局组件
		app.component('pyh-nv', nv)
		app.component('navBar', navBar)
		app.component('bgImg', bgImg)
		app.component('water', water)
		// app.component('MyChart', MyChart)

		//全局代码错误捕捉
		// app.config.errorHandler = errorHandler
	}
}